## maven-repo-helper 0.9

=== debian/changelog ===
maven-repo-helper (0.9) unstable; urgency=low

  * org/debian/maven/repo/POMReader.java:
    Extend previous fix to parse much more properties
    and use expandProperties() like other cases.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 13 Oct 2009 22:49:43 +0200

maven-repo-helper (0.8) unstable; urgency=low

  * org/debian/maven/repo/POMReader.java:
    Fix ${parent.version} parsing inside child's pom.xml
  * Bump Standards-Version to 3.8.3 (no changes needed)
  * Fix Vcs-* fields: use pkg-java SVN repository

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 11 Oct 2009 18:47:16 +0200

maven-repo-helper (0.7) unstable; urgency=low

  * Install jars in /usr/share/java and create link to them from
    the Maven repository (as suggested by Marcus Better)
  * Add a new script, mh_linkjar, which creates links to the jar into
    /usr/share/maven-repo. Unlike mh_installjar, it does not copy the
    jar into the build directory.
  * Use install instead of dh_install in the scripts as it can
    interfer if there is a .install file in the debian folder.
  * Add Recommends: debhelper as debhelper is used in some scripts
    (mh_install* and mh_linkjar)
  * Add --set-version to mh_cleanpom, mh_installpom, mh_installpoms
    to be able to force the version of the artifact in Maven without
    needing patching the original POM file.
  * More errors detected in repo scan
  * Use http://maven.apache.org/xsd/maven-4_0_0.xsd as the location of
    the xsd in the xml namespace declaration to keep gcj happy. It should
    not affect Maven or other tools, provided that the xsd is registered
    in a XML catalog.
  * By default, remove the test dependencies from cleaned POMs (except for
    multi-module POM) as they are not useful outside building the project
    itself most of the time and they make checking consistency in the 
    Maven repository harder.
  * mh_cleanpom, mh_installpom(s) and mh_transformpoms can remove 
    dependencies from the POM files

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 16 Jul 2009 10:09:26 +0100

maven-repo-helper (0.6.1) experimental; urgency=low

  * Add a workaround to use gcj with maven-repo-helper:
    avoid using gnu xml stream when reading or writing XML documents.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 13 Jul 2009 20:15:14 +0100

maven-repo-helper (0.6) experimental; urgency=low

  * Move mh_genrules scripts to the maven-debian-helper package,
    as it needs mh_lspoms and other components from this package.
  * Repair missing version information on dependencies

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 09 Jul 2009 15:53:25 +0100

maven-repo-helper (0.5) unstable; urgency=low

  * Initial release. (Closes: #521947)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 12 Mar 2009 20:46:36 +0000
