## maven-repo-helper 1.0.4

=== debian/changelog ===
maven-repo-helper (1.0.4) unstable; urgency=low

  * Fix "ignores the --no-parent option in the .poms file" (Closes: #573049)
    - mh_installpom: Pass "--no-parent" option to mh_cleanpom.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 09 Mar 2010 22:51:04 +0100

maven-repo-helper (1.0.3) unstable; urgency=low

  * mh_installpoms: Fix call to mh_installpom.
    Use MH_ARGS instead of (non-existing) MH_OPTS variable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 02 Mar 2010 21:09:04 +0100

maven-repo-helper (1.0.2) unstable; urgency=low

  * A leak of environment variables activated the no-rules option
    on mh_cleanpom, preventing mh_installjar to work properly
    in some cases (Closes: #570863)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 01 Mar 2010 00:46:16 +0100

maven-repo-helper (1.0.1) unstable; urgency=low

  * Bump up Standards-Version to 3.8.4
  * Fix NPE on mh_transformpoms
  * Looks like I missed many files while merging changes
    to Debian, it's now fixed.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 01 Feb 2010 23:02:27 +0100

maven-repo-helper (1.0) unstable; urgency=low

  * Add more unit tests
  * maven.ignoreRules now supports eliminating some plugins from the build
  * maven.rules can be used to repair missing version numbers for
    plugins and extensions as well as dependencies (Closes: #561420) 
  * If a pom file is followed by the --ignore option in the file
    <package>.poms, then it is ignored from the build and all operations
    (cleaning, patching)
  * Add support for maven.cleanIgnoreRules to ignore additional dependencies or
    plugins during the clean phase.
  * mh_cleanpom automatically adds a published rule for any Maven plugin, this
    rule is used later by maven-debian-helper to force the versions of the
    Maven plugins used in a pom.xml file with the versions defined in the
    repository
  * Read rules from the Maven repository to force the version of
    Maven plugins to be  the same as in the repository
  * Add --debian-build and --no-docs-build options to mh_patchpoms to remove
    some elements from the POM during a Debian build

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 12 Jan 2010 00:12:23 +0100
