## maven-repo-helper 1.2~bpo50+1

=== debian/changelog ===
maven-repo-helper (1.2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Requires libstax-java backport.

 -- Matt Taggart <taggart@debian.org>  Wed, 15 Sep 2010 01:05:49 -0700

maven-repo-helper (1.2) unstable; urgency=low

  * Fix 'illegal NCName' error when gcj is used to run the mh_* scripts
  * Expand more Maven properties in POM files.
  * Support <property/> syntax in <properties> tag
  * Handle better configuration elements in plugins (ignore them)
  * Add support for plugin elements in <profile> tags
  * Add support for dependency classifiers
  * Add support for <reporting> tags and their plugins
  * Fix some XML issues when gcj is used
  * Add new unit tests and fix several small issues
  * Insert the original versions of the dependencies in the cleaned poms,
    this will help a future mh_upgrade tool

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 28 Jun 2010 23:13:51 +0200

maven-repo-helper (1.1) unstable; urgency=low

  * Add mh_patchpom, useful in some situations to patch
    individual POM files
  * Add mh_linkrepojar, to create a link from a jar present in the
    Maven repository
  * Correctly identify <extension> tag used by Maven (Closes: #584512)
  * Add documentation for the package and in particular for the syntax
    of the debian/<package>.poms file (Closes: #586151)
  * All mh_* scripts now use debian/.mh/ as their temporary work folder
    instead of debian/tmp, this better satisfies the Debian policies.
  * Add mh_cleantmp to remove the temporary files produced when using
    any other mh_* script
  * Fix typo in package description (Closes: #586573)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 21 May 2010 00:11:48 +0200

maven-repo-helper (1.0.6) unstable; urgency=low

  * Rule.java: harden our handling of version string (from pom.xml)
    to cope with specials chars.
  * POMTransformer: If we can't find a dependency, just skip it.
  * Switch to 3.0 (native) format

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 05 Apr 2010 21:44:47 +0200

maven-repo-helper (1.0.5) unstable; urgency=low

  * mh_installjar: Add new -e/--set-version switchs and handle
    them as we already do in mh_installpom.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 19 Mar 2010 22:34:26 +0100
