## maven-repo-helper 1.5.2

=== debian/changelog ===
maven-repo-helper (1.5.2) unstable; urgency=low

  [ Ludovic Claude ]
  * Match jar with bundle as they are equivalent
  * Add support for packages built with dh 7 and javahelper: use
    the following line in your rules file:
     dh $@ --with javahelper --with jh_mavenrepohelper
    This will build the package with javahelper, and the resulting
    jar will be installed in the Maven repository (you need of course the
    <package>.poms file and the POM files in your package).

  [ Damien Raude-Morvan ]
  * Keep relativePath attribute on parent pom.
  * d/control: Fix typo in package description (Closes: #617438).
  * src/main/java/org/debian/maven/repo/RepositoryReportWriter.java: Add
    a hack to change output of Maven repository checker.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 16 Aug 2011 19:28:03 +0200

maven-repo-helper (1.5.1) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Wed, 09 Feb 2011 21:39:12 +0100

maven-repo-helper (1.5) experimental; urgency=low

  * Create mh_installsite to install site.xml into the Maven repository,
    and integrate it with mh_install
  * Avoid duplication between rules in maven.rules and maven.publishedRules,
    as well as between maven.ignoreRules and maven.cleanIgnoreRules
  * Fix ignore modules, make it work in more cases.
  * mh_clean: clean also files listed in .mh_clean, similar to what jh_clean
    does.
  * add support for dh 7 and ant builds: use the following line in your
    rules file:
     dh $@ --with ant --with mavenrepohelper

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 11 Nov 2010 18:49:49 +0100

maven-repo-helper (1.4) experimental; urgency=low

  * Better support for inserting properties in the transformed or cleaned
    POM files. Avoid duplicate properties and allow definition of new
    properties.
  * add support for --has-package-version and --keep-elements in the
    <package>.poms file, for mh_install add --artifact, --java-lib,
    --usj-name, --usj-version, --no-usj-versionless, --dest-jar
  * update README.Debian and document the new options.
  * change license from BSD to Apache 2.0, there's no need to have so many
    different licenses in this package, MIT and Apache2.0 are already used.
  * Keep comments in the POM files as much as possible (Closes: #574045)
  * mh_cleanpom: keep <build>, <report> and <reporting> elements if the type
    of the POM file is 'pom'.
  * mh_cleanpom, mh_patchpom: plugin configuration elements containing
    dependencies such as:
    <resourceBundle>org.apache:apache-jar-resource-bundle:1.x</resourceBundle>
    are detected and rules are applied to them
  * mh_patchpom: --keep-pom-version option keeps the version of the parent POM
    except when the parent is already registered in the Maven repository
  * new mh_install command to install in one go the pom files and all jars in
    the Maven repository

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 17 Sep 2010 00:07:36 +0200

maven-repo-helper (1.3) experimental; urgency=low

  [ Peter Collingbourne ]
  * Document the correct order of attributes in rules files
  * Escape all $ characters in usage messages
  * Fix a long option quoting bug
  * Add support for extra rule options on the command line
  * Add a --no-publish-used-rule option

  [ Ludovic Claude ]
  * debian/control: Update Standards-Version to 3.9.1, no changes
  * mh_transformpoms: Remove warning about missing parent dependency
    when no-parent option is already used
  * Dependency class: make it Comparable, to allow easy sorting of dependencies.
  * mh_cleanpoms: rules defined in --clean-ignore-rules (or
    debian/maven.cleanIgnoreRules) are used in addition to the rules defined in
    --ignore-rules (or debian/maven.ignoreRules), so there is no need anymore
    to duplicate the list of rules to ignore when --clean-ignore-rules is used.
  * Removed small bugs in mh_make (Closes: #591513)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 16 Sep 2010 23:18:57 +0200
