=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Ludovic Claude <ludovic.claude@laposte.net>, Damien Raude-Morvan <drazzib@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, default-jdk, ant, help2man, libstax-java
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/maven-repo-helper/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/maven-repo-helper/
 Homepage: https://launchpad.net/maven-packaging-support
@@ -14,7 +14,7 @@
 Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless, libstax-java
 Recommends: debhelper
 Suggests: maven-debian-helper
-Description: Helper tools for including Maven metatada in Debian packages
+Description: Helper tools for including Maven metadata in Debian packages
  Maven is a software project management and comprehension tool. Based on the
  concept of a project object model (POM), Maven can manage a project's build,
  reporting and documentation from a central piece of information.
