## maven-repo-helper 1.7

=== debian/changelog ===
maven-repo-helper (1.7) unstable; urgency=low

  * add --site-xml=<location> option to mh_install and in the
    <package>.poms file to explicitly define the location for site.xml.
    Warning: this forces existing packages to add this option if they
    need to install site.xml
  * update the version in the POM and in the documentation
    (Closes: #644258)
  * run the unit tests when building the package, fix broken tests after the
    introduction of relativePath on the parent element of cleaned POM files. 
  * d/control: add ant-optional, junit, libxmlunit-java, libcommons-io-java to
    Build-Depend-Indep
  * d/copyright: update fields to match latest DEP5 spec.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 01 Nov 2011 16:32:39 +0200

maven-repo-helper (1.6) unstable; urgency=low

  [ Ludovic Claude ]
  * Add tutorial, reference and repository specification in documentation
  * Update options on mh_installpom and mh_installpoms, to use the new arguments
    added to mh_cleanpom
  * Add Build-Depend on markdown to build the doc
  * Add support for packages built with dh 7 and javahelper: use
    the following line in your rules file:
     dh $@ --with javahelper --with jh_maven_repo_helper
    This will build the package with javahelper, and the resulting
    jar will be installed in the Maven repository (you need of course the
    <package>.poms file and the POM files in your package).
  * Add mh_linkjars to link the jars listed in the .poms file, this is used by
    the jh_maven_repo_helper plugin for dh 7.
  * Deprecate mh_installjar -i option and replace it with -j to avoid conflicts
    with -i/--ignore-rules option used elsewhere.
  * Review all options passed to the mh_* scripts, in particular --set-version
    for mh_installjar (Closes: #640730)

  [ Damien Raude-Morvan ]
  * mh_checkrepo: Fix error when launching without any param.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 26 Sep 2011 22:55:09 +0100
