## maven-repo-helper 1.7.1~bpo60+1

=== debian/changelog ===
maven-repo-helper (1.7.1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Feb 2012 11:48:49 +0100

maven-repo-helper (1.7.1) unstable; urgency=low

  * Build with Java 5, use generics. (Closes: #644260)
  * Fix resolution of versions from dependency management
  * Fix ignore modules in a POM transformation

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 02 Jan 2012 20:27:26 +0100
