## maven-repo-helper 1.7.1ubuntu1

=== debian/changelog ===
maven-repo-helper (1.7.1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Removed Build-Depend on markdown (universe)
    - disabled generation of HTML documentation

 -- James Page <james.page@ubuntu.com>  Tue, 07 Feb 2012 14:49:59 +0000

maven-repo-helper (1.7ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Removed Build-Depend on markdown (universe)
    - disabled generation of HTML documentation

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 30 Dec 2011 02:56:14 -0600

maven-repo-helper (1.6ubuntu1) precise; urgency=low

  * Removed Build-Depend on markdown and disabled generation of 
    HTML documentation as markdown is not suitable for main inclusion.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Oct 2011 12:00:55 +0100
