=== debian/rules ===
--- 
+++ 
@@ -42,17 +42,13 @@
 	chmod +x $@
 debian/.mh/doc:
 	mkdir -p debian/.mh/doc
-	markdown --html4tags doc/tutorial.txt | \
-		cat doc/tutorial-header.html - doc/tutorial-footer.html > debian/.mh/doc/tutorial.html
+	cp doc/tutorial.txt debian/.mh/doc
 	cat doc/reference.txt doc/ref/mh_cleanpom.txt doc/ref/mh_installpom.txt doc/ref/mh_installpoms.txt doc/ref/mh_patchpom.txt \
 		doc/ref/mh_patchpoms.txt doc/ref/mh_unpatchpoms.txt doc/reference2.txt doc/ref/mh_installjar.txt \
 		doc/ref/mh_linkjar.txt doc/ref/mh_linkjars.txt doc/reference3.txt doc/ref/mh_clean.txt doc/ref/mh_installsite.txt \
 		doc/ref/mh_install.txt doc/reference4.txt doc/ref/mh_checkrepo.txt doc/reference5.txt \
                 doc/ref/dh_with_maven_repo_helper.txt doc/ref/dh_with_jh_maven_repo_helper.txt > debian/.mh/doc/reference.txt
-	markdown --html4tags debian/.mh/doc/reference.txt | \
-		cat doc/reference-header.html - doc/reference-footer.html > debian/.mh/doc/reference.html
-	markdown --html4tags doc/repository.txt | \
-		cat doc/repository-header.html - doc/repository-footer.html > debian/.mh/doc/repository.html
+	cp doc/repository.txt debian/.mh/doc
 
 debian/.mh/doc/mh_%.1 : debian/.mh/mh_% 
 	help2man -N -n $(mh_$*_description) -o $@ $<
@@ -73,7 +69,7 @@
 		debian/.mh/$(PACKAGE)-debian.pom debian/.mh/pom.properties 
 	dh_install -p$(PACKAGE) --sourcedir=debian/.mh $(PACKAGE)-debian.pom \
 		usr/share/maven-repo/org/debian/maven/$(PACKAGE)/debian
-	dh_install -p$(PACKAGE) --sourcedir=debian/.mh/doc tutorial.html reference.html repository.html usr/share/doc/maven-repo-helper
+	dh_install -p$(PACKAGE) --sourcedir=debian/.mh/doc tutorial.txt reference.txt repository.txt usr/share/doc/maven-repo-helper
 
 clean::
 	-rm -rf debian/.mh
