## maven-repo-helper 1.7.1ubuntu2

=== debian/changelog ===
maven-repo-helper (1.7.1ubuntu2) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 11:46:04 +0100
