## maven-repo-helper 1.8.3

=== debian/changelog ===
maven-repo-helper (1.8.3) unstable; urgency=low

  * Fixed the usage of the debhelper functions in jh_maven_repo_helper.pm.
    Thanks to Wolodja Wentland for the fix (Closes: #709446)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 May 2013 15:28:46 +0200

maven-repo-helper (1.8.2) unstable; urgency=low

  * Fixed the POM reader to handle properly character chunks
    (Closes: #693234, #688085)
  * Enabled more tests by adding the missing @Test annotations
  * Updated Standards-Version to 3.9.4 (no changes)
  * Added junit4 to the classpath
  * debian/copyright: Updated the Format URI to 1.0
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 May 2013 00:30:12 +0200

maven-repo-helper (1.8.1) experimental; urgency=low

  [ Emmanuel Bourg ]
  * Replaces tabs with spaces in Java files
  * Replaced StringBuffers with StringBuilders
  * Minor code changes (for each loops, indexOf->contains)

  [ Thomas Koch ]
  * Add Preconditions util class
  * fix NPE. Thx to Emmanuel Bourg

 -- Thomas Koch <thomas@koch.ro>  Thu, 04 Apr 2013 20:23:31 +0200

maven-repo-helper (1.8) experimental; urgency=low

  [Ludovic Claude]
  * Move repository to Git, thanks to Thomas Koch.
    (Closes: #644259)
  * Convert Markdown documentation into reStructuredText
    format, as markdown package is not much maintained and not
    officially supported in Ubuntu.
  * d/control:
    - Bump Standards-Version to 3.9.3 (no changes needed).
    - update Vcs-Browser and Vcs-Git fields following move to Git
    - Build-Depends: replace dependency on markdown by python-docutils
    - use junit4 instead of junit

  [Thomas Kock]
  * massive code refactorings and cleanups

 -- Thomas Koch <thomas@koch.ro>  Thu, 28 March 2013 11:45:21 +0200
