=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: maven-repo-helper
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Ludovic Claude <ludovic.claude@laposte.net>, Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, default-jdk, ant, help2man
-Build-Depends-Indep: ant-optional, libstax-java, junit, libxmlunit-java, libcommons-io-java
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/maven-repo-helper/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/maven-repo-helper/
-Homepage: https://launchpad.net/maven-packaging-support
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Ludovic Claude <ludovic.claude@laposte.net>, Damien Raude-Morvan <drazzib@debian.org>,
+ Thomas Koch <thomas@koch.ro>, Emmanuel Bourg <ebourg@apache.org>
+Build-Depends: debhelper (>= 7), cdbs, default-jdk, ant, help2man, python-docutils
+Build-Depends-Indep: ant-optional, libstax-java, junit4, libxmlunit-java, libcommons-io-java
+Standards-Version: 3.9.4
+Vcs-Git: git://git.debian.org/git/pkg-java/maven-repo-helper.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/maven-repo-helper.git
+Homepage: http://wiki.debian.org/Java/MavenRepoSpec
 
 Package: maven-repo-helper
 Architecture: all
 Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless, libstax-java
 Recommends: debhelper
 Suggests: maven-debian-helper
+Breaks: maven-debian-helper (<= 1.5.1)
 Description: Helper tools for including Maven metadata in Debian packages
  Maven is a software project management and comprehension tool. Based on the
  concept of a project object model (POM), Maven can manage a project's build,
