=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PACKAGE              := $(DEB_SOURCE_PACKAGE)
 VERSION              := $(DEB_UPSTREAM_VERSION)
 JAVA_HOME            := /usr/lib/jvm/default-java
-DEB_JARS             := ant-junit stax-api xml-apis
+DEB_JARS             := ant-junit stax-api xml-apis junit4
 DEB_ANT_BUILD_TARGET := package
 DEB_ANT_BUILDFILE    := ./debian/build.xml
 DEB_ANT_ARGS         := -Dpackage=$(PACKAGE) -Dversion=$(VERSION)
@@ -42,13 +42,14 @@
 	chmod +x $@
 debian/.mh/doc:
 	mkdir -p debian/.mh/doc
-	cp doc/tutorial.txt debian/.mh/doc
-	cat doc/reference.txt doc/ref/mh_cleanpom.txt doc/ref/mh_installpom.txt doc/ref/mh_installpoms.txt doc/ref/mh_patchpom.txt \
-		doc/ref/mh_patchpoms.txt doc/ref/mh_unpatchpoms.txt doc/reference2.txt doc/ref/mh_installjar.txt \
-		doc/ref/mh_linkjar.txt doc/ref/mh_linkjars.txt doc/reference3.txt doc/ref/mh_clean.txt doc/ref/mh_installsite.txt \
-		doc/ref/mh_install.txt doc/reference4.txt doc/ref/mh_checkrepo.txt doc/reference5.txt \
-                doc/ref/dh_with_maven_repo_helper.txt doc/ref/dh_with_jh_maven_repo_helper.txt > debian/.mh/doc/reference.txt
-	cp doc/repository.txt debian/.mh/doc
+	rst2html --title="Maven Repo Helper tutorial" --stylesheet-path=doc/style.css doc/tutorial.rst debian/.mh/doc/tutorial.html
+	cat doc/reference.rst doc/ref/mh_cleanpom.rst doc/ref/mh_installpom.rst doc/ref/mh_installpoms.rst doc/ref/mh_patchpom.rst \
+		doc/ref/mh_patchpoms.rst doc/ref/mh_unpatchpoms.rst doc/reference2.rst doc/ref/mh_installjar.rst \
+		doc/ref/mh_linkjar.rst doc/ref/mh_linkjars.rst doc/reference3.rst doc/ref/mh_clean.rst doc/ref/mh_installsite.rst \
+		doc/ref/mh_install.rst doc/reference4.rst doc/ref/mh_checkrepo.rst doc/reference5.rst \
+                doc/ref/dh_with_maven_repo_helper.rst doc/ref/dh_with_jh_maven_repo_helper.rst > debian/.mh/doc/reference.rst
+	rst2html --title="Maven Repo Helper reference" --stylesheet-path=doc/style.css debian/.mh/doc/reference.rst debian/.mh/doc/reference.html
+	rst2html --title="Maven Repo Helper repository specification" --stylesheet-path=doc/style.css doc/repository.rst debian/.mh/doc/repository.html
 
 debian/.mh/doc/mh_%.1 : debian/.mh/mh_% 
 	help2man -N -n $(mh_$*_description) -o $@ $<
@@ -69,7 +70,7 @@
 		debian/.mh/$(PACKAGE)-debian.pom debian/.mh/pom.properties 
 	dh_install -p$(PACKAGE) --sourcedir=debian/.mh $(PACKAGE)-debian.pom \
 		usr/share/maven-repo/org/debian/maven/$(PACKAGE)/debian
-	dh_install -p$(PACKAGE) --sourcedir=debian/.mh/doc tutorial.txt reference.txt repository.txt usr/share/doc/maven-repo-helper
+	dh_install -p$(PACKAGE) --sourcedir=debian/.mh/doc tutorial.html reference.html repository.html usr/share/doc/maven-repo-helper
 
 clean::
 	-rm -rf debian/.mh
