## maven-repo-helper 1.8.5

=== debian/changelog ===
maven-repo-helper (1.8.5) unstable; urgency=low

  * Team upload.

  [ Emmanuel Bourg ]
  * Build depend on debhelper 9
  * Removed the Maven presentation from the package description
    (Closes: #704092)
  * Added several methods to org.debian.maven.repo.Dependency to check
    the type of the artifact
  * Removed the no longer used Preconditions class
  * The API changes break the compatibility with maven-debian-helper (<= 1.6.5)
  * debian/rules: Added ant-junit4.jar to the classpath to fix the test failures
  * Stop the build on test failures

  [ tony mancill ]
  * Bump Standards-Version to 3.9.5.

 -- tony mancill <tmancill@debian.org>  Mon, 02 Dec 2013 22:10:14 -0800

maven-repo-helper (1.8.4) unstable; urgency=low

  * Fixed a regression in the pom parser (Closes: #712658)
  * The name of the pom is now displayed when a parsing error occurs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 07 Aug 2013 17:53:13 +0200
