## maven-repo-helper 1.8.8

=== debian/changelog ===
maven-repo-helper (1.8.8) unstable; urgency=medium

  * Parse and transform the module elements declared in profiles

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 Jun 2014 12:20:52 +0200

maven-repo-helper (1.8.7) unstable; urgency=medium

  * Fixed the parsing of the systemPath element (Closes: #740000)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 26 Feb 2014 00:44:34 +0100

maven-repo-helper (1.8.6) unstable; urgency=medium

  * Internal refactoring

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 06 Feb 2014 14:27:52 +0100
