## maven-repo-helper 1.8.9

=== debian/changelog ===
maven-repo-helper (1.8.9) unstable; urgency=medium

  * Allow rules like s/foo// to remove an element of the Maven coordinates
  * Fixed the transformation of the classifier in the Maven coordinates

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Sep 2014 10:04:45 +0200
