## maven-repo-helper 1.8.12

=== debian/changelog ===
maven-repo-helper (1.8.12) unstable; urgency=medium

  * Fixed a parsing error with poms containing a byte order mark
  * Always use the same system independent encoding when transforming
    the pom files to improve the reproducibility of the builds.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Jul 2015 09:44:53 +0200

maven-repo-helper (1.8.11) unstable; urgency=medium

  * Upload to unstable
  * Insert mh_install after dh_install and not before dh_compress to ensure
    the jars are always installed before running dh_strip_nondeterminism,
    jh_classpath and jh_manifest. This fixes a build failure with libjdom2-java
    and javahelper >= 0.49.
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Jun 2015 13:07:58 +0200

maven-repo-helper (1.8.10) experimental; urgency=medium

  * Fixed a bug preventing rules like 's/org.foo/org.bar/ * * s/.*/debian/ * *'
    from working properly.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 28 Jan 2015 22:52:17 +0100
