=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Koch <thomas@koch.ro>, Emmanuel Bourg <ebourg@apache.org>
 Build-Depends: debhelper (>= 9), cdbs, default-jdk, ant, help2man, python-docutils
 Build-Depends-Indep: ant-optional, libstax-java, junit4, libxmlunit-java, libcommons-io-java
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/maven-repo-helper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/maven-repo-helper.git
 Homepage: http://wiki.debian.org/Java/MavenRepoSpec
